ruby-dbi (0.4.5-2) unstable; urgency=low

  * Team upload

  [David Suárez]
  * Update standards version; no changes needed
  * Remove transitional packages (Closes: #735727)
  * Add support for ruby2.0 (Closes: #720245)
  * Remove embedded copy of jquery
  * Remove deprecated option '--inline-source' from rdoc

  [Cédric Boutillier]
  * debian/control: remove obsolete DM-Upload-Allowed flag
  * debian/copyright: use DEP5 copyright-format/1.0 official URL for Format field

 -- David Suárez <david.sephirot@gmail.com>  Fri, 21 Feb 2014 21:27:14 +0100

ruby-dbi (0.4.5-1) unstable; urgency=low

  * New upstream version.
  * Switch to gem2deb-based packaging:
    - source and binary packages renamed to ruby-dbi
    - transitional packages added
    - source format changed to 3.0 (quilt).
  * Redirect watch file to rubygems.org (no 0.4.5 tag on GitHub).
  * New patches:
    - remove usage of rubygems
    - don't test for all drivers to be installed during build
    - don't install dbi and test_broken_dbi executables
    - include GitHub pull request #8 to use ruby-deprecated 3.0.0
      (Closes: #631849, #631851)
    - include GitHub pull request #7 Ruby 1.9 compatibility fixes
      (Closes: #596103, #637794).

 -- Dmitry Borodaenko <angdraug@debian.org>  Tue, 13 Sep 2011 19:56:23 +0300

libdbi-ruby (0.4.3-3) unstable; urgency=low

  * Under Ruby 1.9.x, implement deep Row#dup (solution by Justin Ossevoort
    proposed in RubyForge bug #28624). Closes: #569845, #626184.
  * Don't try to load 'deprecated' module with rubygems, it generates warnings
    with Ruby 1.8. Closes: #625884.
  * Quilt is back.
  * Standards-Version upgraded to 3.9.2.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sat, 04 Jun 2011 19:23:35 +0300

libdbi-ruby (0.4.3-2) unstable; urgency=low

  * Switch from Ruby 1.9 to 1.9.1. Closes: #569845.
  * Standards-Version upgraded to 3.8.4.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sun, 28 Feb 2010 14:12:31 +0200

libdbi-ruby (0.4.3-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version upgraded to 3.8.3.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sun, 11 Oct 2009 14:52:57 +0300

libdbi-ruby (0.4.2-1) unstable; urgency=low

  * New upstream release:
    - performance optimizations, in particular for large result sets
    - new methods: DBI.last_connection, DatabaseHandle#last_statement,
      DatabaseHandle#database_name.
  * Standards-Version upgraded to 3.8.2.

 -- Dmitry Borodaenko <angdraug@debian.org>  Wed, 29 Jul 2009 10:47:33 +0300

libdbi-ruby (0.4.1-3) unstable; urgency=low

  * Added rdoc to Build-Depends (Closes: #521970).
  * Changed Section from interpreters to ruby.
  * Debhelper compat level upgraded to 5.
  * Standards-Version upgraded to 3.8.1.

 -- Dmitry Borodaenko <angdraug@debian.org>  Tue, 31 Mar 2009 11:25:03 +0300

libdbi-ruby (0.4.1-2) unstable; urgency=low

  * Upload to unstable.
  * Removed all traces of quilt: no need to keep it until there are patches to
    apply.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sat, 21 Feb 2009 12:39:29 +0200

libdbi-ruby (0.4.1-1) experimental; urgency=low

  * New upstream release:
    - DBDs are split into separate packages
    - type conversion is unified across all DBDs
    - lots of code cleanups and bugfixes
    - DBI core doesn't raise warnings anymore (Closes: #502015)
    - severals calls and classes have been deprecated
    - RDoc documentation added (Closes: 373670)
    - Ruby 1.9p1 is supported (not with all DBDs).
  * README.Debian removed: upstream now only supports DBDs which are already
    packaged for Debian (with the exception of Sqlite which is superceded by
    Sqlite3).
  * 01_setup_rb_no_add_rubypath.dpatch removed: setup.rb now has an option for
    this.
  * Migrated patch management from dpatch to quilt (currently no patches are
    applied, lintian override added about empty series file).
  * Added dependency on libdeprecated-ruby which is now used upstream.
  * Build modules for Ruby 1.9.

 -- Dmitry Borodaenko <angdraug@debian.org>  Wed, 03 Dec 2008 21:59:38 +0200

libdbi-ruby (0.2.2-1) unstable; urgency=low

  * New upstream release:
    - better fix for RubyForge bug #21567 (see v0.2.1).

 -- Dmitry Borodaenko <angdraug@debian.org>  Sat, 16 Aug 2008 19:04:23 +0300

libdbi-ruby (0.2.1-1) unstable; urgency=low

  * New upstream release:
    - fixed RubyForge bug #21567 (duplicate columns not returned).
  * Updated for Standards-Version 3.8.0:
    - Homepage: field added to control file
    - README.source referring to dpatch(1) added.

 -- Dmitry Borodaenko <angdraug@debian.org>  Fri, 15 Aug 2008 12:47:14 +0300

libdbi-ruby (0.2.0-2) unstable; urgency=low

  * Upload to unstable: no new issues found with 0.2.0-1 in experimental.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sun, 13 Apr 2008 12:53:46 +0300

libdbi-ruby (0.2.0-1) experimental; urgency=low

  * New upstream release:
    - DBD::SQLite3 is included upstream
    - DBD::SQLite driver uses sqlite-ruby instead of native API
    - DBD::Pg driver uses ruby-pg instead of ruby-postgres.
    - DBD::Pg time with timezone coercion fix (#200849) merged
    - DBD::MySQL boolean coercion patch merged
    - DBI.available_drivers() fix (#450396) merged
    - Dmitry Maksyoma's fix for #381808 (RubyForge patch #7709) is on hold by
      upstream, removed from the package to check if it's no longer needed.
  * Removed DBD::SQLite (it is now fully superceded by DBD::SQLite3, support
    for SQLite v2 will soon disappear from Debian). Closes: #474749 (ITP for
    libsqlite-ruby).
  * Removed build-depends on libsqlite0-dev.
  * Upgraded depends on libpgsql-ruby1.8 to (>= 0.7.9) in libdbd-pg-ruby1.8.
  * Copyright updated.
  * Added dpatch support.

 -- Dmitry Borodaenko <angdraug@debian.org>  Thu, 10 Apr 2008 01:21:24 +0300

libdbi-ruby (0.1.1-5) unstable; urgency=low

  * DBI.available_drivers() fix by Martin Dorey (Closes: #450396).
  * Updated to policy version 3.7.3:
    - made use of ${binary:Version} in versioned depends on libdbi-ruby1.8.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sun, 09 Dec 2007 18:32:07 +0000

libdbi-ruby (0.1.1-4) unstable; urgency=low

  * Support Mysql boolean coercion in Database#quote.

 -- Dmitry Borodaenko <angdraug@debian.org>  Wed, 10 Jan 2007 01:29:28 +0000

libdbi-ruby (0.1.1-3) unstable; urgency=low

  * Transactions support in DBD::SQLite3 by Mike Kasick (Closes: #405615).
  * Coercion of TIME into DBI::Time restored in DBD::Pg (Closes: #200849).
  * Optimized Boolean coercion in DBD::Mysql.

 -- Dmitry Borodaenko <angdraug@debian.org>  Tue, 09 Jan 2007 20:49:27 +0000

libdbi-ruby (0.1.1-2) unstable; urgency=low

  * Coerce TINYINT(1) into Boolean in DBD::Mysql.
  * Several fixes for DBD::SQLite3:
    - fix double close of statement handle by Mike Kasick (Closes: #405605)
    - enable type_translation (depends on sqlite3-ruby >= 1.1.0-4)
    - auto-detect numbers in typeless columns.

 -- Dmitry Borodaenko <angdraug@debian.org>  Tue, 09 Jan 2007 02:06:46 +0000

libdbi-ruby (0.1.1-1) unstable; urgency=low

  * New upstream release.
  * Updated debian/watch for new upstream tarball name.
  * Fixed a warning in SQLite3 column_info().

 -- Dmitry Borodaenko <angdraug@debian.org>  Sun, 10 Sep 2006 13:54:34 +0100

libdbi-ruby (0.0.23-4) unstable; urgency=low

  * Transactions fix by Dmitry Maksyoma. Closes: #381808.
  * Switched inter-module versioned dependencies from ${Source-Version} to
    ${source:Version} by lintian's advice.
  * Bumped Standards-Version to 3.7.2.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sat, 09 Sep 2006 20:28:16 +0100

libdbi-ruby (0.0.23-3) unstable; urgency=low

  * Removed ruby1.6 versions of libraries due to pending removal of ruby1.6.
  * Changed libdbd-sqlite-ruby dependency package architecture from any to
    all.
  * Added Sqlite3 driver by Jun Mukai.

 -- Dmitry Borodaenko <angdraug@debian.org>  Fri, 19 Aug 2005 15:21:19 +0300

libdbi-ruby (0.0.23-2) unstable; urgency=low

  * Added ODBC driver (patch by Daigo Moriwaki).
  * Added debian/watch file.

 -- Dmitry Borodaenko <angdraug@debian.org>  Wed, 10 Nov 2004 20:47:57 +0200

libdbi-ruby (0.0.23-1) unstable; urgency=low

  * New upstream release 0.0.23.
  * Copyright file fixed.

 -- Dmitry Borodaenko <angdraug@debian.org>  Fri, 18 Jun 2004 12:54:03 +0300

libdbi-ruby (0.0.21-3) unstable; urgency=low

  * Replaced Timestamp#fraction attr_accessor with attr_writer to get rid of
    the "method redefined" warning. Closes: #219026.

 -- Dmitry Borodaenko <angdraug@debian.org>  Wed,  5 Nov 2003 19:07:11 +0200

libdbi-ruby (0.0.21-2) unstable; urgency=low

  * Reorganized debian/rules for debhelper compatibility level 4.
  * binary-arch target now can be invoked without binary-indep.
    Closes: #211150.
  * Call ruby1.6 and ruby1.8 in place of ruby in debian/rules clean target.
  * Include upstream doc/ directory as is in the libdbi-ruby package.
  * Completely disable Ruby path mangling for the bin/ scripts.

 -- Dmitry Borodaenko <angdraug@debian.org>  Fri, 26 Sep 2003 14:10:14 +0300

libdbi-ruby (0.0.21-1) unstable; urgency=low

  * New upstream release 0.0.21.
  * Switched to Ruby 1.8 as a default Ruby version.
  * Added Conflicts with older *-ruby versions for *-ruby1.6 packages.
  * Depend on Ruby-version-specific libmysql-ruby and libpgsql-ruby packages.
  * Removed build-ruby1.6 and build-ruby1.8 phony targets from debian/rules.
  * libdbi-ruby1.x packages suggest libdbi-ruby for documentation.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sat, 13 Sep 2003 21:09:51 +0300

libdbi-ruby (0.0.20-3) unstable; urgency=low

  * Adapted to the new Debian Ruby Policy:
    - added build-depends on ruby1.6, ruby1.6-dev, ruby1.8, ruby1.8-dev
    - libdbi-ruby now only contains docs and depends on libdbi-ruby1.6
    - build two sets of packages for Ruby 1.6 and Ruby 1.8, and a set of
      dependency packages which depend on Ruby 1.6 packages
    - *-ruby1.6 packages replace older *-ruby counterparts.

 -- Dmitry Borodaenko <angdraug@debian.org>  Mon,  8 Sep 2003 17:11:56 +0300

libdbi-ruby (0.0.20-2) unstable; urgency=low

  * Added Build-Depends on ruby-dev for mkmf module required by SQLite DBD.

 -- Dmitry Borodaenko <angdraug@debian.org>  Tue,  8 Jul 2003 22:11:34 +0300

libdbi-ruby (0.0.20-1) unstable; urgency=low

  * New upstream release 0.0.20.
  * Moved all Build-Depends-Indep into Build-Depends. Closes: #199736.

 -- Dmitry Borodaenko <angdraug@debian.org>  Fri,  4 Jul 2003 15:13:11 +0300

libdbi-ruby (0.0.18-3) unstable; urgency=low

  * Packaged SQLite DBD driver per request from YAMASHITA Junji
    <ysjj@unixuser.org>. Closes: #185767.
  * Switched to using setup.rb --with option to select drivers
  * Added upstream contrib/ to examples

 -- Dmitry Borodaenko <angdraug@debian.org>  Sun, 22 Jun 2003 19:18:07 +0200

libdbi-ruby (0.0.18-2) unstable; urgency=low

  * Fixed description to refer to libdbd-*-ruby. Closes: #180832.
  * Packaged MySQL DBD driver per request from Eric Schwartz
    <emschwar@frii.net>. Closes: #181447.

 -- Dmitry Borodaenko <angdraug@debian.org>  Tue, 18 Feb 2003 19:18:55 +0200

libdbi-ruby (0.0.18-1) unstable; urgency=low

  * Initial release. Closes: #152305, #152306 (ITP).
  * Removed proxyserver.rb (to be packaged as part of libdbd-proxy-ruby).
  * Moved sqlsh.rb from /usr/bin to doc/examples to get rid of irb dependency.
  * Hacked doc/html/index.html to use relative URLs for ChangeLog, ToDo,
    DBI-SPEC, and DBD-SPEC.

 -- Dmitry Borodaenko <angdraug@debian.org>  Mon, 18 Nov 2002 12:19:13 +0200
